## midori 0.4.8-1~precise~ppa1+6.0trisquel2

=== wscript ===
#! /usr/bin/env python
# WAF build script for midori
# This file is licensed under the terms of the expat license, see the file EXPAT.

import sys

# Waf version check, for global waf installs
try:
    from Constants import WAFVERSION
except:
    WAFVERSION='1.0.0'
if WAFVERSION[:3] != '1.5':
    print ('Incompatible Waf, use 1.5')
    sys.exit (1)

import Build
import Options
import Utils
import pproc as subprocess
import os
try:
    import UnitTest
except:
    import unittestw as UnitTest
import Task
from TaskGen import extension, feature, taskgen
import misc
from Configure import find_program_impl

major = 0
minor = 4
micro = 8

APPNAME = 'midori'
VERSION = VERSION_FULL = str (major) + '.' + str (minor) + '.' + str (micro)
VERSION_SUFFIX = ' (%s)' % VERSION

try:
    if os.path.isdir ('.git'):
        git = Utils.cmd_output (['git', 'describe'], silent=True)
        if git:
            VERSION_FULL = git.strip ()
    elif os.path.isdir ('.bzr'):
        bzr = Utils.cmd_output (['bzr', 'revno'], silent=True)
        if bzr:
            VERSION_FULL = '%s~r%s' % (VERSION, bzr.strip ())
    else:
        folder = os.getcwd ()
        if VERSION in folder:
            VERSION_FULL = os.path.basename (folder)
    if VERSION in VERSION_FULL:
        VERSION_SUFFIX = VERSION_FULL.replace (VERSION, '')
except:
    pass

srcdir = '.'
blddir = '_build' # recognized by ack

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

def is_mingw (env):
    if 'CC' in env:
        cc = env['CC']
        if not isinstance (cc, str):
            cc = ''.join (cc)
        return cc.find ('mingw') != -1# or cc.find ('wine') != -1
    return False

def is_win32 (env):
    return is_mingw (env) or Options.platform == 'win32'

# Compile Win32 res files to (resource) object files
def rc_file(self, node):
    rctask = self.create_task ('winrc')
    rctask.set_inputs (node)
    rctask.set_outputs (node.change_ext ('.rc.o'))
    self.compiled_tasks.append (rctask)
rc_file = extension ('.rc')(rc_file)
Task.simple_task_type ('winrc', '${WINRC} -o${TGT} ${SRC}', color='BLUE',
    before='cc cxx', shell=False)

def configure (conf):
    def option_checkfatal (option, desc):
        if hasattr (Options.options, 'enable_' + option):
            if getattr (Options.options, 'enable_' + option):
                Utils.pprint ('RED', desc + ' N/A')
                sys.exit (1)

    def dirname_default (dirname, default, defname=None):
        if getattr (Options.options, dirname) == '':
            dirvalue = default
        else:
            dirvalue = getattr (Options.options, dirname)
        if not defname:
            defname = dirname
        conf.define (defname, dirvalue)
        return dirvalue

    def check_version (given_version, major, minor, micro):
        if '.' in given_version:
            given_major, given_minor, given_micro = given_version.split ('.', 2)
            if '.' in given_micro:
                given_micro, given_pico = given_micro.split ('.', 1)
        else:
            given_major, given_minor, given_micro = given_version
        return int(given_major) >  major or \
               int(given_major) == major and int(given_minor) >  minor or \
               int(given_major) == major and int(given_minor) == minor and int(given_micro) >= micro

    conf.check_message_custom ('release version', '', VERSION_FULL)

    conf.check_tool ('compiler_cc')
    conf.check_tool ('vala')
    conf.check_tool ('glib2')
    if not check_version (conf.env['VALAC_VERSION'], 0, 14, 0):
        Utils.pprint ('RED', 'Vala 0.14.0 or later is required.')
        sys.exit (1)

    if option_enabled ('nls'):
        conf.check_tool ('intltool')
        if not conf.env['INTLTOOL'] and conf.env['POCOM']:
            option_checkfatal ('nls', 'localization')
            conf.define ('ENABLE_NLS', 0)
        else:
            conf.define ('ENABLE_NLS', 1)
    else:
        conf.define ('ENABLE_NLS', 0)
        conf.check_message_custom ('nls', '', 'disabled')

    conf.find_program ('rsvg-convert', var='RSVG_CONVERT')

    if is_win32 (conf.env):
        conf.find_program ('windres', var='WINRC')
        conf.env['platform'] = 'win32'

    # This is specific to cross compiling with mingw
    if is_mingw (conf.env) and Options.platform != 'win32':
        if not 'AR' in os.environ and not 'RANLIB' in os.environ:
            conf.env['AR'] = os.environ['CC'][:-3] + 'ar'
        if conf.find_program (os.environ['CC'][:-3] + 'windres', var='WINRC'):
            os.environ['WINRC'] = os.environ['CC'][:-3] + 'windres'
        Options.platform = 'win32'
        # Make sure we don't have -fPIC in the CCFLAGS
        conf.env["shlib_CCFLAGS"] = []
        # Adjust file naming
        conf.env["shlib_PATTERN"] = 'lib%s.dll'
        conf.env['program_PATTERN'] = '%s.exe'
        # Use Visual C++ compatible alignment
        conf.env.append_value ('CCFLAGS', '-mms-bitfields')
        conf.env['staticlib_LINKFLAGS'] = []

        Utils.pprint ('BLUE', 'Mingw recognized, assuming cross compile.')

    dirname_default ('LIBDIR', os.path.join (conf.env['PREFIX'], 'lib'))
    if conf.env['PREFIX'] == '/usr':
        dirname_default ('SYSCONFDIR', '/etc')
    else:
        dirname_default ('SYSCONFDIR', os.path.join (conf.env['PREFIX'], 'etc'))
    dirname_default ('DATADIR', os.path.join (conf.env['PREFIX'], 'share'),
    # Use MDATADIR because DATADIR is a constant in objidl.h on Windows
        'MDATADIR')
    conf.undefine ('DATADIR')
    dirname_default ('DOCDIR', os.path.join (conf.env['MDATADIR'], 'doc'))
    if not APPNAME in conf.env['DOCDIR']:
        conf.env['DOCDIR'] += '/' + APPNAME
        conf.define ('DOCDIR', conf.env['DOCDIR'])

    if option_enabled ('apidocs'):
        conf.find_program ('gtkdoc-scan', var='GTKDOC_SCAN')
        conf.find_program ('gtkdoc-mktmpl', var='GTKDOC_MKTMPL')
        conf.find_program ('gtkdoc-mkdb', var='GTKDOC_MKDB')
        conf.find_program ('gtkdoc-mkhtml', var='GTKDOC_MKHTML')
        if conf.env['GTKDOC_SCAN'] and conf.env['GTKDOC_MKTMPL'] \
            and conf.env['GTKDOC_MKDB'] and conf.env['GTKDOC_MKHTML']:
            pass
        else:
            option_checkfatal ('apidocs', 'API documentation')
    else:
        conf.check_message_custom ('gtk-doc', '', 'disabled')

    def check_pkg (name, version='', mandatory=True, var=None, args=''):
        if not var:
            var = name.split ('-')[0].upper ()
        ver_str = ['',' >= ' + version][version != '']
        def okmsg_ver (kw):
            return conf.check_cfg (modversion=name, uselibstore=var)
        conf.check_cfg (msg='Checking for ' + name + ver_str, okmsg=okmsg_ver,
            package=name, uselib_store=var, args='--cflags --libs ' + args,
            atleast_version=version, mandatory=mandatory)
        have = conf.env['HAVE_' + var] == 1
        conf.define (var + '_VERSION', ['No', conf.check_cfg (modversion=name,
            uselib_store=var, errmsg=name + ver_str + ' not found')][have])
        return have

    if option_enabled ('gtk3'):
        check_pkg ('gcr-3', '2.32', mandatory=False)
    else:
        check_pkg ('gcr-3-gtk2', '2.32', mandatory=False)

    if option_enabled ('unique'):
        if option_enabled('gtk3'): unique_pkg = 'unique-3.0'
        else: unique_pkg = 'unique-1.0'
        if not check_pkg (unique_pkg, '0.9', mandatory=False):
            option_checkfatal ('unique', 'single instance')
    else:
        conf.define ('UNIQUE_VERSION', 'No')
        conf.check_message_custom ('unique', '', 'disabled')
    conf.define ('HAVE_UNIQUE', [0,1][conf.env['UNIQUE_VERSION'] != 'No'])

    if option_enabled ('libnotify'):
        if not check_pkg ('libnotify', mandatory=False):
            option_checkfatal ('libnotify', 'notifications')
    else:
        conf.define ('LIBNOTIFY_VERSION', 'No')
        conf.check_message_custom ('libnotify', '', 'disabled')
    conf.define ('HAVE_LIBNOTIFY', [0,1][conf.env['LIBNOTIFY_VERSION'] != 'No'])

    if option_enabled ('granite'):
        if not option_enabled ('gtk3'):
            if getattr (Options.options, 'enable_granite'):
                Utils.pprint ('RED', 'Granite requires --enable-gtk3')
                sys.exit (1)
            else:
                granite = 'no (requires --enable-gtk3)'
        else:
            check_pkg ('granite', '0.2', mandatory=False)
            granite = ['N/A', 'yes'][conf.env['HAVE_GRANITE'] == 1]
        if granite != 'yes':
            option_checkfatal ('granite', 'new notebook, pop-overs')
            conf.define ('GRANITE_VERSION', 'No')
        else:
            check_pkg ('clutter-gtk-1.0', '1.0')
            conf.env.append_value ('VALAFLAGS', '-D HAVE_GRANITE')
    else:
        conf.define ('GRANITE_VERSION', 'No')
        conf.check_message_custom ('granite', '', 'disabled')

    if option_enabled ('zeitgeist'):
        check_pkg ('zeitgeist-1.0', '0.3.14')
    else:
        conf.check_message_custom ('zeitgeist', '', 'disabled')

    conf.check (lib='m')
    check_pkg ('gmodule-2.0')
    check_pkg ('gio-2.0', '2.22.0')
    if check_version (conf.env['GIO_VERSION'], 2, 30, 0) \
        and check_version (conf.env['VALAC_VERSION'], 0, 16, 0):
        # Older Vala doesn't have GLib 2.30 bindings
        conf.env.append_value ('VALAFLAGS', '-D HAVE_GLIB_2_30')

    args = ''
    if Options.platform == 'win32':
        args = '--define-variable=target=win32'
        conf.env.append_value ('VALAFLAGS', '-D HAVE_WIN32')
    elif sys.platform != 'darwin':
        check_pkg ('x11')
        # Pass /usr/X11R6/include for OpenBSD
        conf.check (header_name='X11/extensions/scrnsaver.h',
                    includes='/usr/X11R6/include', mandatory=False)
        conf.check (lib='Xss', libpath='/usr/X11R6/lib', mandatory=False)
    if option_enabled ('gtk3'):
        check_pkg ('gtk+-3.0', '3.0.0', var='GTK', mandatory=False)
        check_pkg ('webkitgtk-3.0', '1.1.17', var='WEBKIT', mandatory=False)
        if not conf.env['HAVE_GTK'] or not conf.env['HAVE_WEBKIT']:
            Utils.pprint ('RED', 'GTK+3 was not found.\n' \
                'Pass --disable-gtk3 to build without GTK+3.')
            sys.exit (1)
        if check_version (conf.env['WEBKIT_VERSION'], 1, 5, 1):
            check_pkg ('javascriptcoregtk-3.0', '1.5.1', args=args)
        conf.env.append_value ('VALAFLAGS', '-D HAVE_GTK3')
        conf.env.append_value ('VALAFLAGS', '-D HAVE_OFFSCREEN')
        conf.env.append_value ('VALAFLAGS', '-D HAVE_DOM')
    else:
        check_pkg ('gtk+-2.0', '2.16.0', var='GTK')
        check_pkg ('webkit-1.0', '1.1.17', args=args)
        if check_version (conf.env['WEBKIT_VERSION'], 1, 5, 1):
            check_pkg ('javascriptcoregtk-1.0', '1.5.1', args=args)
        if check_version (conf.env['GTK_VERSION'], 2, 20, 0):
            conf.env.append_value ('VALAFLAGS', '-D HAVE_OFFSCREEN')
    conf.env['HAVE_GTK3'] = option_enabled ('gtk3')

    check_pkg ('libsoup-2.4', '2.27.90', var='LIBSOUP')
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 29, 3):
        conf.define ('HAVE_LIBSOUP_2_29_3', 1)
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 29, 91):
        conf.define ('HAVE_LIBSOUP_2_29_91', 1)
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 33, 4):
        conf.define ('HAVE_LIBSOUP_2_33_4', 1)
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 34, 0):
        conf.define ('HAVE_LIBSOUP_2_34_0', 1)
        conf.env.append_value ('VALAFLAGS', '-D HAVE_LIBSOUP_2_34_0')
    if check_version (conf.env['LIBSOUP_VERSION'], 2, 37, 1):
        conf.define ('HAVE_LIBSOUP_2_37_1', 1)
    if check_version (conf.env['WEBKIT_VERSION'], 1, 3, 8):
        conf.env.append_value ('VALAFLAGS', '-D HAVE_WEBKIT_1_3_8')
    if check_version (conf.env['WEBKIT_VERSION'], 1, 3, 13):
