=== debian/changelog ===
midori (0.4.8-1~precise~ppa1+6.0trisquel2) toutatis; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 08 Mar 2013 04:17:10 +0000

midori (0.4.8-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 07 Feb 2013 16:30:47 +0100

midori (0.4.7-1~precise~ppa1) precise; urgency=low

  * New upstream release.
  * Depend on libzeitgeist-dev.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 20 Sep 2012 16:30:47 +0100

midori (0.4.6-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Wed, 16 May 2012 16:30:47 +0100

midori (0.4.5-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 22 Apr 2012 16:30:47 +0100

midori (0.4.4-1~precise~ppa1) precise; urgency=low

  * New upstream release.
  * Initial import.

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 11 Mar 2012 16:30:47 +0100

midori (0.4.2-1~llwkt2) lucid; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.
  * debian/midori.{preinst,postinst,postrm}:
    - handle adblock configuration file rename.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 15 Nov 2011 16:30:47 +0100
