## midori 0.5.8-1~precise~ppa1+6.0.1trisquel2

=== debian/changelog ===
midori (0.5.8-1~precise~ppa1+6.0.1trisquel2) toutatis; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 03 Jan 2015 16:57:55 +0000

midori (0.5.8-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Fri, 04 Apr 2014 09:28:36 +0200

midori (0.5.7-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 Jan 2014 09:19:15 +0100

midori (0.5.6-1~precise~ppa3) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 Jan 2014 09:19:08 +0100

midori (0.5.6-1~precise~ppa2) precise; urgency=low

  * New upstream release
  * Correct rules files

 -- cartes <cartes34@aliceadsl.fr>  Wed, 20 Nov 2013 19:20:29 +0100

midori (0.5.6-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@cartes-aliceadsl.fr>  Wed, 20 Nov 2013 18:57:46 +0100

midori (0.5.5-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sun, 18 Aug 2013 17:04:58 +0200

midori (0.5.4-1~precise~ppa1) precise; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Tue, 16 Jul 2013 18:26:54 +0200

midori (0.5.2-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 May 2013 08:40:03 +0200

midori (0.5.1-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Fri, 17 May 2013 10:20:09 +0200

midori (0.5.0-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 20 Apr 2013 11:34:13 +0200

midori (0.4.9-1~precise~ppa1) precise; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sat, 09 Mar 2013 16:30:47 +0100
