=== debian/control ===
--- 
+++ 
@@ -7,26 +7,29 @@
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkit-dev (>= 1.1.17),
+ libwebkitgtk-dev (>> 1.4.2),
  libxml2-dev (>= 2.6),
-# For waf:
- python,
+# For cmake:
+ cmake,
 # Optional dependencies:
  intltool,
  libidn11-dev,
  librsvg2-bin,
  libsqlite3-dev,
  libunique-dev (>= 1.0.6),
- python-docutils,
- libsoup2.4-dev (>= 2.27.90),
+ libsoup-gnome2.4-dev,
  libnotify-dev,
- valac (>= 0.10),
+ valac-0.16 | valac (>= 0.16),
+# libclutter-gtk-1.0-dev,
  libzeitgeist-dev,
 # For testing under xvfb:
  xvfb,
  xauth,
  xfonts-base,
+ humanity-icon-theme,
+ gdb,
  hardening-wrapper,
+ devscripts,
  libxss-dev
 # Disabled optional dependencies:
 Build-Conflicts: gtk-doc-tools,
