=== debian/changelog ===
midori (0.5.9-1~trusty~ppa1+7.0trisquel1) belenos; urgency=medium

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 22 Nov 2014 21:21:05 +0100

midori (0.5.9-1~trusty~ppa1) trusty; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 22 Nov 2014 11:09:11 +0100

midori (0.5.8-1~trusty~ppa1) trusty; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Fri, 04 Apr 2014 10:02:47 +0200

midori (0.5.7-1~trusty~ppa1) trusty; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Thu, 16 Jan 2014 18:50:48 +0100

midori (0.5.6-1~trusty~ppa1) trusty; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Thu, 19 Dec 2013 18:53:49 +0100

midori (0.5.6-1~saucy~ppa3) saucy; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sat, 23 Nov 2013 17:22:53 +0100

midori (0.5.6-1~saucy~ppa1) saucy; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Wed, 20 Nov 2013 19:42:30 +0100

midori (0.5.5-1~saucy~ppa1) saucy; urgency=low

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Mon, 19 Aug 2013 11:23:27 +0200

midori (0.5.4-1~saucy~ppa1) saucy; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Wed, 17 Jul 2013 18:24:25 +0200

midori (0.5.2-1~saucy~ppa1) saucy; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 18 May 2013 15:08:06 +0200

midori (0.5.1-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Fri, 17 May 2013 10:45:58 +0200

midori (0.5.0-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- cartes <cartes34@aliceadsl.fr>  Sat, 20 Apr 2013 09:43:10 +0200

midori (0.4.9-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Sat, 09 Mar 2013 16:30:47 +0100

midori (0.4.8-1~raring~ppa1) raring; urgency=low

  * New upstream release.

 -- Liviu Andronic <landronimirc@gmail.com>  Thu, 07 Feb 2013 16:30:47 +0100

midori (0.4.7-1~quantal~ppa1) quantal; urgency=low

  * Initial import from Precise.

 -- Liviu Andronic <landronimirc@gmail.com>  Sun, 23 Sep 2012 16:30:47 +0100
