=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libunique-dev (>= 1.0.6),
  libsoup-gnome2.4-dev,
  libnotify-dev,
- valac-0.16 | valac (>= 0.16),
+ valac-0.16,
 # libclutter-gtk-1.0-dev,
  libzeitgeist-dev,
 # For testing under xvfb:
