## midori 0.5.11-0ubuntu1+7.0trisquel1

=== debian/changelog ===
midori (0.5.11-0ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 31 Aug 2015 10:14:46 +0000

midori (0.5.11-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- cartes <cartes34@aliceadsl.fr>  Sun, 30 Aug 2015 16:22:53 +0200

midori (0.5.10-0) trusty; urgency=medium

  * New upstream release.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 Apr 2015 07:52:09 +0200

midori (0.5.8-0) oneiric; urgency=low

  * New upstream release.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 15 Nov 2011 14:32:04 +0100

midori (0.4.1-1) oneiric; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 02 Aug 2011 14:35:52 +0200
