=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ryan Niebur <ryan@debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
@@ -18,10 +18,11 @@
  libsqlite3-dev,
  libunique-dev (>= 1.0.6),
  libsoup-gnome2.4-dev,
+ libgcr-3-dev,
  libnotify-dev,
- valac-0.16,
+ valac (>= 0.16),
 # libclutter-gtk-1.0-dev,
- libzeitgeist-dev,
+ libzeitgeist-2.0-dev,
 # For testing under xvfb:
  xvfb,
  xauth,
