=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,9 @@
 	@echo "presubj parameters:"
 	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
 	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
-	# test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
-	# test -f "$(GTKLAUNCHER)"
-	# test -n "$(GTKLAUNCHER)"
+	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list" || true
+	test -f "$(GTKLAUNCHER)" || true
+	test -n "$(GTKLAUNCHER)" || true
 	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@
 
 override_dh_install: debian/presubj
